#ifndef JES_CORE_H
#define JES_CORE_H

#include "Ref.h"
#include "Path.h"
#include <string>

namespace jes
{
    typedef Ref<std::string> StringRef;

    class Core
    {
    public:
        static Core instance;

        void init(const std::string & bin_path);
        PathRef get_bin_path() { return m_bin_path; }

    protected:
        PathRef m_bin_path;
    };
}

#endif
